slepc-3.21.1 2024-04-26
Report Typos and Errors

# DSNEPSetRG

Associates a region object to the DSNEP solver.

### Synopsis

    #include "slepcds.h"
    PetscErrorCode DSNEPSetRG(DS ds,RG rg)

Collective

### Input Parameters

| ds | - the direct solver context
| rg | - the region context

### Notes

The region is used only in the contour integral method, and should enclose the wanted eigenvalues.

### See Also

DSNEPGetRG()

### Level

developer

### Location

src/sys/classes/ds/impls/nep/dsnep.c
Index of all DS routines
Table of Contents for all manual pages
Index of all manual pages